name: Solarized - Light

#$base03:    #002b36
#$base02:    #073642
#$base01:    #586e75
#$base00:    #657b83
#$base0:     #839496
#$base1:     #93a1a1
#$base2:     #eee8d5
#$base3:     #fdf6e3
#$yellow:    #b58900
#$orange:    #cb4b16
#$red:       #dc322f
#$magenta:   #d33682
#$violet:    #6c71c4
#$blue:      #268bd2
#$cyan:      #2aa198
#$green:     #859900

# Background and foreground are only used if the Display Style preference
# is set to Match Palette
background: #eee8d5
foreground: #073642

# These can be overridden individually in preferences
editor-background: #fdf6e3
selection: #faeec5
occurrence: #C8C833
debug-marker: #FFA3A3
caret: #000000
caret-highlight: #7070DD
edge-marker: #FB0808
bookmark: #10C010
diff: #81D481
merged-diff: #D4B1B1
fold-mark-foreground: #268bd2
fold-mark-background: #eee8d5
selected-item-background: #4B89D0
selected-item-foreground: #FFFFFF
active-range: #C1F4C1
icon-primary: #073642
icon-secondary: #dc322f
icon-tertiary: #35b432
icon-quaternary: #268bd2 
icon-quinary: #BB6B2D
icon-senary: #002b36

# These are used for displaying documentation
title: #073642
link: #268bd2
strong: #859900
literal: #268bd2
error: #dc322f
warning: #b58900
info: #cb4b16
highlight-primary: #faeec5
highlight-secondary: #fdf6e3

# Additional colors with which to populate the color selection menus
# Primary Color
palette-1: #002b36
palette-2: #073642
palette-3: #586e75
palette-4: #657b83
palette-5: #839496
# Secondary Color A
palette-6: #93a1a1
palette-7: #eee8d5
palette-8: #fdf6e3
palette-9: #b58900
palette-10: #cb4b16
# Secondary Color B
palette-11: #dc322f
palette-12: #d33682
palette-13: #6c71c4
palette-14: #268bd2
palette-15: #2aa198
# Complementary Color
palette-16: #859900
palette-17: #239737
palette-18: #03881A
palette-19: #32D74F
palette-20: #53D76A
