#########################################################################
""" py2utils.py -- Utilities that run only under Python 2.x

Copyright (c) 1999-2012, Archaeopteryx Software, Inc.  All rights reserved.

Written by Stephan R.A. Deibel and John P. Ehresman

"""
#########################################################################

# This file should contain only code that can't be written so that
# it works both under Python 2.x and 3.x

import new as _new

# Define True & False if needed
try:
  True
except NameError:
  True = 1
try:
  False
except NameError:
  False = 0  

def doprint(*args):
  txt = ' '.join([str(a) for a in args])
  print txt

def has_key(o, key):
  return o.has_key(key)

def get_unicode_str(x):
  return unicode(x)

def instancemethod(cb, cl):
  return _new.instancemethod(cb, None, cl)

def makemodule(name):
  return _new.module(name)

def iscallable(x):
  return callable(x)

def datajoin(d):
  return ''.join(d)

def make_xrange(start, end):
  return xrange(start, end)

def make_bytes(s):
  return s

_builtin_apply = apply
apply = _builtin_apply