# Keymap to emulate MATLAB
# XXX Based on default bindings emailed from Ofer July 22, 2013
# XXX Need work before exposing in the GUI

%include keymap.normal

# These are the default bindings not already set in keymap.normal
# XXX Need to go through these and possibly reassign others; certainly
# XXX true for the F keys and Alt-* groups

#'Shift-Return': 'new line without indent'
#'Shift-Return': 'break line in shell w/o executing'
'Ctrl-G': 'center-cursor'
'Ctrl-U': 'lower-case'
'Shift-Ctrl-U': 'upper-case'
#'Escape': 'clear selection'
#'Ctrl-U': 'clear entry in shell'
#'Ctrl-/': 'clear selection in shell'
'Ctrl-R': 'comment-block-toggle'
'Ctrl-T': 'comment-block-toggle'
'Ctrl-B': 'char-left'
'Ctrl-E': 'end-of-line'
'Ctrl-[': 'outdent-lines'
'Ctrl-]': 'indent-lines'
'F9': 'eval-sel-in-shell'
'Shift-F5': 'debug-kill'
'Ctrl-+': 'fold-expand-all'
'Ctrl-=': 'fold-collapse-all'
'Ctrl-.': 'fold-toggle'
'Ctrl-Shift-F': 'open-from-project'
'Ctrl-F': 'batch-search'
'Ctrl-H': 'batch-search'
#'Alt-Right': 'move to next location'
'Shift-F1': 'find-symbol'
'Ctrl-Shift-F1': 'find-symbol-in-project'
'Ctrl-F1': 'show-panel(panel_type="sassist")'
#'Alt-Down': 'next underline or highlight'
#'Alt-Up': 'previous underline or highlight'
'Ctrl-G': 'goto-line'
#'F1': 'help on selection'
'Ctrl-Shift-H': 'find-uses'
'Ctrl-K': 'delete-to-end-of-line'
'Ctrl-Shift-M': 'enter-fullscreen', 'exit-fullscreen'
'F2': 'goto-next-bookmark'
'Shift-F2': 'goto-previous-bookmark'
'Ctrl-Up': 'previous-block'
'Ctrl-Down': 'next-block'
'Ctrl-PageDown': 'next-document'
'Ctrl-PageUp': 'previous-document'
#'Ctrl-Tab': 'next tool'
#'Ctrl-ShiftTab': 'previous tool'
#'Ctrl-F6': 'next window'
'Ctrl-D': 'open-filename-from-editor'
#'F1': 'open help browser'
'Ctrl-Shift-Z': 'redo'
'Alt-Shift-Backspace': 'redo'
'Alt-Backspace': 'undo'
'Ctrl-Up': 'scroll-text-up'
'Ctrl-Down': 'scroll-text-down'
'Ctrl-F2': 'toggle-bookmark'
'F12': 'toggle-breakpoint'
'Shift-Tab': 'forward-tab'
'Ctrl-I': 'smart-tab'
'Ctrl-Shift-S': 'isearch-forward'
'Ctrl-Shift-R': 'isearch-backward'
'F10': 'step-over-statement'
'F11': 'step-into'
'Shift-F11': 'stop-out'
'F6': 'move-editor-focus'
'Tab': 'forward-tab'
#'Ctrl-Shift-U': 'move editor to separate window'
#'Ctrl-Shift-D': 'move editor back to dock window'
'Ctrl-Enter': 'eval-block-in-shell()'
'Ctrl-Shift-Enter': 'eval-block-in-shell(select='next')'
