#########################################################################
""" pyutils.py -- Utilities that need separate implementations under
                  Python 2.x and 3.x

Copyright (c) 1999-2012, Archaeopteryx Software, Inc.  All rights reserved.

Written by Stephan R.A. Deibel and John P. Ehresman

"""
#########################################################################

import sys

kPython3 = sys.version_info >= (3, 0)
if kPython3:
  import py3utils as _py3utils
  from py3utils import *
else:
  import py2utils as _py2utils
  from py2utils import *
  
# Some other commonly used convolutions
if kPython3:
  import io
  CStringIO = io.StringIO
else:
  import StringIO
  CStringIO = StringIO.StringIO

del sys
